package com.middlemind.Eds3;

import java.net.DatagramSocket;
import java.net.InetSocketAddress;


/**
 *
 * @author Victor G. Brusca, Middlemind Games
 */
public class RunClientProcessCurrentModeCallBack implements Runnable {

    private DatagramSocket clientSocket = null;    
    private InetSocketAddress endPoint = null;
    private Eds3Client cli = null;
    
    public RunClientProcessCurrentModeCallBack(DatagramSocket csocket, InetSocketAddress addr, Eds3Client client) {
        clientSocket = csocket;
        endPoint = addr;
        cli = client;
    }
    
    @Override
    public void run() {
        cli.ProcessCurrentMode(clientSocket, endPoint);    
    }     
}
