package com.middlemind.Eds3;

import java.util.Comparator;

/**
 *
 * @author Victor G. Brusca, Middlemind Games
 */
public class PlayerComparator implements Comparator {

    public static final int ASC = 1;
    public static final int DESC = -1;
    private int order = 1;
    
    public PlayerComparator(int order) {
        this.order = order;
    }
    
    @Override
    public int compare(Object o1, Object o2) {
        Player p1 = (Player) o1;
        Player p2 = (Player) o2;
        return (this.order * Double.compare(p1.msgAvgTimeMs, p2.msgAvgTimeMs));
    }
}
